#ifndef __AESINC_H
#define __AESINC_H

#include "../allcrypto.h"
#include "aes.h"

#ifndef TRUE
#define TRUE	1
#endif

#ifndef FALSE
#define FALSE	0
#endif

#ifndef NULL
#define NULL	0
#endif

#define AES_KEY_SIZE	256
#define BLOCKSIZE		32

typedef struct AES_data{
	int		key[BLOCKSIZE/4];
	aes_ctx	encrypt_key;
	aes_ctx	decrypt_key;
}AESData;

int AESEncrypt(CryptoRecord* CR, char* InData, char* OutData, int DataLen);
int AESDecrypt(CryptoRecord* CR, char* InData, char* OutData, int DataLen);
int	AddKeyAES(CryptoRecord* CR, int ID, char* KeyString);
void RemoveKeyAES(CryptoRecord* CR);

#endif
