#include "cntl2.h"

#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <sys/stat.h>

int main(int argc, char**argv){
	struct in_addr 			ip;
	ControlPacketStatReply	st;
	unsigned int			BuffID;
	struct stat				stat;
	
	if (argc == 1){
		printf("Hogwash File Sync v1.0 by Anonpoet\n\n");
		printf("Brings a disk file up to date with a buffer\n\n");
		printf("Usage:\n");
		printf("hfilesync <IP Adress> <filename> [<buffer id>|ALERT|RULES|LOG|UALERT|ULOG|SID]\n");
		return 0;
	}
	
	inet_aton(argv[1],&ip);
		
	BuffID=STOCK_BUFFER_ALERT;
	if (argc>3){
		if (strcmp(argv[3],"ALERT")==0){
			BuffID=STOCK_BUFFER_ALERT;
		}else if (strcmp(argv[3],"RULES")==0){
			BuffID=STOCK_BUFFER_RULES;
		}else if (strcmp(argv[3],"LOG")==0){
			BuffID=STOCK_BUFFER_LOG;
		}else if (strcmp(argv[3],"UALERT")==0){
			BuffID=STOCK_BUFFER_UALERT;
		}else if (strcmp(argv[3],"ULOG")==0){
			BuffID=STOCK_BUFFER_ULOG;	
		}else if (strcmp(argv[3],"SID")==0){
			BuffID=STOCK_BUFFER_SID;		
		}
	}
	
	hm_init("control.conf");
	if (!hb_get_stat(ip, BuffID, &st)){
		printf("Error getting stat!\n");
	}else{
		if (hb_file_sync(ip, BuffID, st.Size, argv[2])){
		}else{
			printf("Error getting buff!\n");
		}
	}
	hm_close();
}
