/*
** Copyright (C) 1998-2002 Martin Roesch <roesch@sourcefire.com>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

/* $Id: sp_tcp_win_check.h,v 1.1.1.1 2002/05/13 21:16:56 anonpoet Exp $ */
#ifndef __SP_TCP_WIN_CHECK_H__
#define __SP_TCP_WIN_CHECK_H__

#include "snort.h"

#define PLUGIN_TCP_WIN_CHECK  22

typedef struct _TcpWinData
{
    u_int16_t tcp_win;
    u_int8_t not_flag;

} TcpWinData;

void TcpWinCheckInit(char *, OptTreeNode *, int);
void SetupTcpWinCheck();
void ParseTcpWin(char *, OptTreeNode *);
int TcpWinCheckEq(Packet *, struct _OptTreeNode *, OptFpList *);

#endif  /* __SP_IP_TOS_CHECK_H__ */
